Page MenuHomePhabricator

Value null is the wrong type for property "action.saveIntent.timing" (integer expected) appears intermittently while adding a new section
Closed, ResolvedPublic

Description

Value null is the wrong type for property "action.saveIntent.timing" (integer expected) appears intermittently while adding a new section

Trying to investigate and find the exacts steps to replicate. Will update the task once found.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2018, 10:15 PM
Deskana triaged this task as Normal priority.May 1 2018, 6:42 PM
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.

This seems to relate to the performance measurement work we did, so checking it out soon would be good.

DLynch claimed this task.May 2 2018, 4:30 PM
DLynch moved this task from Incoming to In progress on the VisualEditor (Current work) board.
DLynch added subscribers: Esanders, DLynch.

If it's always action.saveIntent.timing, that implies that when onSaveWorkflowBegin happens timing.ready is undefined.

...aha. I think this is probably the fault of f2e73614604e416ebda3f143aaa507f087c11869 (@Esanders). It created a loophole whereby in source mode, when creating a new section, we skip creating the temporary editing surface, which would stop ready from ever happening.

Change 430406 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: track mwedit.ready even if skipping temp editor for new sections

https://gerrit.wikimedia.org/r/430406

Change 430406 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: track mwedit.ready even if skipping temp editor for new sections

https://gerrit.wikimedia.org/r/430406

Deskana closed this task as Resolved.May 10 2018, 1:02 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 10 2018, 1:02 PM
Vvjjkkii renamed this task from Value null is the wrong type for property "action.saveIntent.timing" (integer expected) appears intermittently while adding a new section to h4daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed DLynch as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Ryasmeen renamed this task from h4daaaaaaa to Value null is the wrong type for property "action.saveIntent.timing" (integer expected) appears intermittently while adding a new section.Jul 1 2018, 5:00 AM
Ryasmeen closed this task as Resolved.
Ryasmeen assigned this task to DLynch.
Ryasmeen lowered the priority of this task from High to Normal.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added subscribers: GerritBot, Aklapper.